#ifndef STATE_CHANGER_H
#define STATE_CHANGER_H

class State;

//------------------------------------------------------------------------------
//
class StateChanger
//
/// @brief Interface describing something which changes State%s.
///
//------------------------------------------------------------------------------
{
public:

    virtual ~StateChanger () {};

    // Change to the given new State.
    virtual void ChangeState (State &newState) = 0;

};
#endif // STATE_CHANGER_H
