#ifndef ACTIONS_H
#define ACTIONS_H

//------------------------------------------------------------------------------
//
class Actions
//
/// @brief Interface describing actions our state machine can take.
///
//------------------------------------------------------------------------------
{
public:

    virtual ~Actions() {};

    virtual void LampOn () = 0;
    virtual void LampOff () = 0;
    virtual void StartTimer () = 0;
};

#endif // ACTIONS_H
