#ifndef STATE_CONTEXT_H
#define STATE_CONTEXT_H

class StateFactory;
class StateChanger;
class Actions;

//------------------------------------------------------------------------------
//
class StateContext
//
/// @brief The context that a State needs.
///
//------------------------------------------------------------------------------
{
public:

    StateContext (StateFactory &f, StateChanger &c, Actions &a)
    :
    factory (f),
    changer (c),
    actions (a)
    {};

    StateFactory &factory;
    StateChanger &changer;
    Actions &actions;
};

#endif // STATE_CONTEXT_H
